Bug 9326 - net ads join improperly lists realm
net ads join improperly lists realm
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 16:08 UTC by Andreas Schneider
Modified: 2012-10-31 11:07 UTC (History)
0 users

See Also:


Attachments
v3-6-test patch (1.17 KB, patch)
2012-10-23 16:10 UTC, Andreas Schneider
gd: review+
asn: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2012-10-23 16:08:11 UTC
The utility net within the package samba-common improperly displays the realm which it has joined in all lowercase letters.  This is clearly not the realm that was joined and could cause confusion to users not familiar with kerberos.

Remember Windows is case sensitive and unix isn't.


The following patch will change 'realm' to 'dns name'.
Comment 1 Andreas Schneider 2012-10-23 16:10:33 UTC
Created attachment 8106 [details]
v3-6-test patch

The patch applies on master, v4-0-test and v3-6-test. Please sign-off and push to master. Then probably tell Karolin the hash to cherry-pick. Thanks.
Comment 2 Guenther Deschner 2012-10-29 10:56:49 UTC
Comment on attachment 8106 [details]
v3-6-test patch

looks good.
Comment 3 Andreas Schneider 2012-10-30 08:32:28 UTC
Karolin, please pick for 3.6 and 4.0. Thanks!
Comment 4 Karolin Seeger 2012-10-31 08:56:00 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2012-10-31 11:07:05 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!